## AnjutaSavePrompt

AnjutaSavePrompt — Save dialog prompt for unsaved data

## Stability Level

Unstable, unless otherwise indicated

## Functions

gboolean | ( *AnjutaSavePromptSaveFunc ) ()
AnjutaSavePrompt * | anjuta_save_prompt_new ()
gint | anjuta_save_prompt_get_items_count ()
void | anjuta_save_prompt_add_item ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GtkMessageDialog
                                    ╰── AnjutaSavePrompt

## Includes

    #include <libanjuta/anjuta-save-prompt.h>

## Description

## Functions

### AnjutaSavePromptSaveFunc ()

    gboolean
    (*AnjutaSavePromptSaveFunc) (AnjutaSavePrompt *save_prompt,
                                 gpointer item,
                                 gpointer user_data);

### anjuta_save_prompt_new ()

    AnjutaSavePrompt *
    anjuta_save_prompt_new (GtkWindow *parent);

### anjuta_save_prompt_get_items_count ()

    gint
    anjuta_save_prompt_get_items_count (AnjutaSavePrompt *save_prompt);

### anjuta_save_prompt_add_item ()

    void
    anjuta_save_prompt_add_item (AnjutaSavePrompt *save_prompt,
                                 const gchar *item_name,
                                 const gchar *item_detail,
                                 gpointer item,
                                 AnjutaSavePromptSaveFunc item_save_func,
                                 gpointer user_data);

## Types and Values